/*
_____       _    _    Corso   Italia,  178
(_|__   .  (_   |_|_  56125           Pisa
(_|_) |)|(()_)()| |   tel.  +39  050 46380
  |   |               picosoft@picosoft.it

 Copyright (C) Picosoft s.r.l. 1995-2002

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/
static char rcsid[] = "$Id: dllshell.cpp 5.0 1999/10/08 10:17:43 picoSoft Exp $";
#include <windows.h>
# include "trace.h"
 
extern "C" {
HINSTANCE ghInstance = 0;
}

# ifdef WIN32

BOOL WINAPI DllMain (HANDLE hInstance, 
         ULONG ul_reason_for_call,
         LPVOID lpReserved)
{
   switch (ul_reason_for_call) {
   case DLL_PROCESS_ATTACH:
      ghInstance = (HINSTANCE) hInstance;
      return TRUE;
   case DLL_PROCESS_DETACH:
      return TRUE;
   case DLL_THREAD_ATTACH:
   case DLL_THREAD_DETACH:
      return TRUE;
   }
   return FALSE;
}

# else

int FAR PASCAL LibMain( HINSTANCE hInstance, WORD wDataSegment,
                                   WORD wHeapSize, LPSTR lpszCmdLine )
{

    ghInstance = hInstance;

    return 1;
}
                            

int FAR PASCAL WEP ( int bSystemExit )
{
    return 1;
}
# endif
